package viewapi

import (
	"net/http"
	"github.com/tangs-drm/go-tool/log"
	"github.com/tangs-drm/go-tool/util"
	thttp "github.com/tangs-drm/go-tool/http"
	"view/viewdb"
	"response"
)

func ViewRecord(w http.ResponseWriter, r *http.Request) {
	var code int
	var message string
	var err error
	var result util.Map
	defer func() {
		message = response.Message[code]
		thttp.WriteResponse(w, code, message, err, result)
	}()

	article_id := r.FormValue("aid")
	if len(article_id) < 1 {
		code = 1
		err = util.Error("[ViewRecord] receive invalid article_id")
		log.Error("[ViewRecord] receive invalid article_id")
		return
	}

	err = viewdb.Record(article_id)
	if err != nil {
		code = 2
		log.Error("[ViewRecord] record with id(%v) error =>(%v)", article_id, err)
		return
	}

	log.Debug("[ViewRecord] record with id(%v) success", article_id)
	return
}
