package viewdb

import (
	"github.com/tangs-drm/go-tool/util"
	"gopkg.in/mgo.v2/bson"
	"github.com/tangs-drm/go-tool/log"
)

func Record(article_id string) error {
	info, err := C(VIEW_TIMES).Upsert(bson.M{
		"article": article_id,
	}, bson.M{
		"$setOnInsert": bson.M{
			"_id": bson.NewObjectId().Hex(),
			"time": util.Now(),
			"attrs": util.Map{},
		},
		"$set": bson.M{
			"lastTime": util.Now(),
		},
		"$inc": bson.M{
			"count": 1,
		},
	})
	if err != nil {
		log.Error("[Record] record with id(%v), time(%v) error ->(%v)", article_id, util.Now(), err)
		return err
	}

	log.Debug("[Record] record with id(%v), time(%v) success with info(%v)", article_id, util.Now(), util.S2Json(info))
	return nil
}